DRUO
Get started
Recurring Plans

Activate Recurring Plan

PUThttps://api.druo.com/recurring-plans/{recurring_plan_uuid}/activate

Activates an existing recurring plan.

Updates the status of a recurring plan to ACTIVE using its unique identifier. This enables the recurring plan to start executing transactions according to its defined cycle schedule.

Path parameters

recurring_plan_uuidstringRequired

The unique identifier of the resource.

Response

uuidstringoptional

The unique identifier (UUID) of the recurring plan.

Example: rcp_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The unique code associated with the recurring plan.

Example: SCSCDSVFGH
descriptionstringoptional

The description of the recurring plan.

Example: Recurring Plan #1234567 for transaction 123455
processing_methodstringoptional

The processing method utilized by the recurring plan.

Example: AUTOMATIC
statusstringoptional

The current status of the recurring plan.

Example: ACTIVE
start_datestringoptional

The scheduled start date and time for the recurring plan.

Example: 2023-08-16T23:20:15.645+00:00
end_datestringoptional

The scheduled end date and time for the recurring plan.

Example: 2023-10-16T23:20:15.645+00:00
total_cycle_countstringoptional

The total number of cycles scheduled for the recurring plan.

Example: 4
cycle_frequencystringoptional

The frequency of the recurring plan's cycles.

Example: MONTHLY
end_userEndUseroptional

The full End User object related to this recurring plan.

origin_accountstringoptional

The unique identifier (UUID) of the origin account.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
destination_accountstringoptional

The unique identifier (UUID) of the destination account.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
primary_referencestringoptional

The primary reference of the recurring plan, used to associate it with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The secondary reference of the recurring plan, used to associate it with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
transactionobjectoptional

The transaction details associated with the recurring plan.

transaction.tenantobjectoptional

The tenant details associated with the transaction.

The unique identifier (UUID) of the tenant.

Example: 22637d15-5b37-4fb2-90e5-aa8751970469
transaction.typestringoptional

The transaction type.

Example: PAYMENT
transaction.currencystringoptional

The currency code for the transaction.

Example: USD
transaction.amountintegeroptional

The transaction amount in the smallest currency unit.

Example: 10000

The statement descriptor for the transaction.

Example: NOVO BILLING* INV12324

The primary reference associated with the transaction.

Example: Transaction primary reference

The secondary reference associated with the transaction.

Example: Transaction secondary reference
transaction.metadataobjectoptional

Key-value pairs containing metadata about the transaction.

Example: {"id_user": "69440", "transaction_xyz": "JOHN SMITH"}
metadataobjectoptional

A set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation date and time of the recurring plan in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last update date and time of the recurring plan in GMT.

Example: 2021-11-15T23:23:38Z
NextPUTPause Recurring Plan